%define name    transmission
%define version 2.92
%define release %mkrel 2


Summary:        Bittorrent client
Summary(de):	Bittorrent Klient
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-%{version}.tar.xz
License:	MIT
Group:		Networking/File transfer
Url:		http://transmission.m0k.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
#-----------------------------------------------
BuildRequires: desktop-file-utils
BuildRequires: gettext
BuildRequires: intltool
BuildRequires: ImageMagick
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}curl-devel
BuildRequires: %{_lib}event-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}glib2.0-devel
BuildRequires: %{_lib}gtk+3.0-devel
BuildRequires: %{_lib}openssl-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}uuid-devel
BuildRequires: %{_lib}xfs-devel
BuildRequires: libstdc++-devel
BuildRequires:	qt5-devel
BuildRequires:	qttools5
#-------------------------------------------
Requires:	%{_lib}event5
Requires:	gtk+3.0
Obsoletes: 	%{name} < %version

%description
Transmission has been built from the ground up to be a lightweight
yet powerful BitTorrent client. Its simple, intuitive interface is
designed to integrate tightly with whatever computing environment
you choose to use. Transmission strikes a balance between providing
useful functionality without feature bloat. Furthermore, it is free
for anyone to use or modify.

%description -l de
Transmission wurde von Grund auf als leichtgewichtiger aber leistungsstarker 
BitTorrent Client erstellt. Seine einfache, intuitive Schnittstelle wurde zur 
festen Integration von jeder Computerumgebung Ihrer Wahl erstellt. Die Übertragung 
stellt ein Gleichgewicht zwischen nützlichen Funktionen, ohne dabei überladen zu 
sein, zur Verfügung. Darüber hinaus kann es jeder kostenlos verwenden oder verändern.

Das Paket enthält Transmission mit GTK Oberfläche

%package qt5
Summary:  Bittorrent client
Summary(de):	Bittorrent Klient
Group: 	 Networking/File transfer
Requires: %{_lib}event5
Obsoletes: 	%name-qt < %version

%description qt5
Transmission-qt has been built from the ground up to be a lightweight
yet powerful BitTorrent client. Its simple, intuitive interface is
designed to integrate tightly with whatever computing environment
you choose to use. Transmission strikes a balance between providing
useful functionality without feature bloat. Furthermore, it is free
for anyone to use or modify.

%description qt5 -l de
Transmission wurde von Grund auf als leichtgewichtiger aber leistungsstarker 
BitTorrent Client erstellt. Seine einfache, intuitive Schnittstelle wurde zur 
festen Integration von jeder Computerumgebung Ihrer Wahl erstellt. Die Übertragung 
stellt ein Gleichgewicht zwischen nützlichen Funktionen, ohne dabei überladen zu 
sein, zur Verfügung. Darüber hinaus kann es jeder kostenlos verwenden oder verändern.

Das Paket enthält Transmission mit QT Oberfläche


%package i18n
Summary:  Internationalisation files for transmission
Summary(de): Sprachdateien für Transmission
Group: 	System/Internationalization
Requires: %{name}
Obsoletes: 	%name-i18n < %version

%description i18n
Internationalisation files for transmission

%description i18n -l de
Sprachdateien für Transmission

%prep
%setup  -q 

# convert to UTF encoding
iconv --from=ISO-8859-1 --to=UTF-8 AUTHORS > AUTHORS.new
mv AUTHORS.new AUTHORS
iconv --from=ISO-8859-1 --to=UTF-8 NEWS > NEWS.new
mv NEWS.new NEWS

%build
export CFLAGS="-O3 -ffast-math -march=native"
CXXFLAGS="%{optflags} -fPIC"

%configure2_5x --disable-static --enable-utp --enable-daemon --enable-nls --enable-cli  

%make


#QT GUI
pushd qt
%qmake_qt5 qtr.pro
%make
pushd translations
for i in `ls *.ts`; do lrelease $i ; done
popd
popd

%install
rm -rf %{buildroot}
%makeinstall_std
%find_lang %{name}-gtk

mkdir -p %{buildroot}%{_iconsdir}/hicolor/{48x48,32x32,16x16}/apps
convert -scale 48 %{buildroot}/usr/share/pixmaps/transmission.png \
%{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png 
convert -scale 32 %{buildroot}/usr/share/pixmaps/transmission.png \
%{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
convert -scale 16 %{buildroot}/usr/share/pixmaps/transmission.png \
%{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png


#Qt GUI Installation
pushd qt
INSTALL_ROOT=%{buildroot}%{_prefix} make install
pushd translations
mkdir -p %{buildroot}%{_qt5_translationdir}
cp *.qm %{buildroot}%{_qt5_translationdir}
popd
popd

# Install transmission-qt.desktop manually as make install doesn't install it:
cp -a qt/transmission-qt.desktop %{buildroot}/%{_datadir}/applications/

#menu for pclinuxos
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Internet-FileTransfer" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications %buildroot%{_datadir}/applications/*.desktop

#qt icons
mkdir -p %buildroot{%_iconsdir,%_liconsdir,%_miconsdir}
install -m 0644 qt/icons/hicolor/16x16/%{name}-qt.png %buildroot/%_miconsdir/%{name}-qt.png
install -m 0644 qt/icons/hicolor/32x32/%{name}-qt.png %buildroot/%_iconsdir/%{name}-qt.png
install -m 0644 qt/icons/hicolor/48x48/%{name}-qt.png %buildroot/%_liconsdir/%{name}-qt.png

# fix icon location for Transmission Qt
sed -i 's|Icon=%{name}|Icon=%{name}-qt|g' %buildroot/%{_datadir}/applications/%{name}-qt.desktop

%post
%update_desktop_database


%postun
%clean_desktop_database

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-gtk.lang
%defattr(-,root,root)
%doc README NEWS AUTHORS ChangeLog COPYING
%{_bindir}/%{name}-gtk
%{_datadir}/%{name}/web/*
%{_bindir}/%{name}-cli
%{_bindir}/%{name}-daemon
%{_bindir}/%{name}-remote
%{_datadir}/applications/%{name}-gtk.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/icons/hicolor/*
%{_mandir}/*/*
%{_bindir}/transmission-create
%{_bindir}/transmission-edit
%{_bindir}/transmission-show

%files qt5
%doc README NEWS AUTHORS ChangeLog COPYING
%defattr(-,root,root)
%{_bindir}/%{name}-qt
%{_datadir}/%{name}/web
%{_datadir}/applications/%{name}-qt.desktop 
%{_miconsdir}/%{name}-qt.png
%{_iconsdir}/%{name}-qt.png
%{_liconsdir}/%{name}-qt.png
%{_qt5_translationdir}/*.qm

%files i18n 
%defattr(-,root,root)
%{_datadir}/locale/*


%changelog
* Tue Oct 18 2016 adrianomorselli <adrianomorselli> 2.92-2uplos2016
- rebuild

* Mon Apr 18 2016 bb <bb> 2.92-2pclos2016
- fix icon

* Sun Apr 17 2016 bb <bb> 2.92-1pclos2016
- update and build qt5

* Sat Mar 05 2016 bb <bb< 2.90-2pclos2016
- rebuild openssl


